# tinybig.compression

::: tinybig.compression

---------------------------------------
## Organization of this Module

### Data Expansion/Transformation
* [transformation](../module/transformation.md) (defined in the tinybig.module directory)

### Basic Compressions
* [identity_compression.md](identity_compression.md)
* [reciprocal_compression.md](reciprocal_compression.md)
* [linear_compression.md](linear_compression.md)

### Metric based Compressions
* [metric_compression.md](metric_compression.md)
* [max_compression.md](max_compression.md)
* [min_compression.md](min_compression.md)
* [sum_compression.md](sum_compression.md)
* [prod_compression.md](prod_compression.md)
* [mean_compression.md](mean_compression.md)
* [median_compression.md](median_compression.md)

### Feature Selection based Compressions
* [feature_selection_compression.md](feature_selection_compression.md)
* [incremental_feature_clustering_based_compression.md](incremental_feature_clustering_based_compression.md)
* [incremental_variance_threshold_based_compression.md](incremental_variance_threshold_based_compression.md)

### Dimension Reduction based Compressions
* [dimension_reduction_compression.md](dimension_reduction_compression.md)
* [incremental_PCA_based_compression.md](incremental_PCA_based_compression.md)
* [incremental_random_projection_based_compression.md](incremental_random_projection_based_compression.md)

### Manifold based Compressions
* [manifold_compression.md](manifold_compression.md)
* [isomap_manifold_compression.md](isomap_manifold_compression.md)
* [lle_manifold_compression.md](lle_manifold_compression.md)
* [mds_manifold_compression.md](mds_manifold_compression.md)
* [spectral_embedding_manifold_compression.md](spectral_embedding_manifold_compression.md)
* [tsne_manifold_compression.md](tsne_manifold_compression.md)

### Naive Probabilistic Compressions
* [naive_probabilistic_compression.md](naive_probabilistic_compression.md)
* [naive_uniform_probabilistic_compression.md](naive_uniform_probabilistic_compression.md)
* [naive_normal_probabilistic_compression.md](naive_normal_probabilistic_compression.md)
* [naive_cauchy_probabilistic_compression.md](naive_cauchy_probabilistic_compression.md)
* [naive_chi2_probabilistic_compression.md](naive_chi2_probabilistic_compression.md)
* [naive_exponential_probabilistic_compression.md](naive_exponential_probabilistic_compression.md)
* [naive_gamma_probabilistic_compression.md](naive_gamma_probabilistic_compression.md)
* [naive_laplace_probabilistic_compression.md](naive_laplace_probabilistic_compression.md)

### Combinatorial Probabilistic Compressions
* [combinatorial_compression.md](combinatorial_compression.md)
* [combinatorial_probabilistic_compression.md](combinatorial_probabilistic_compression.md)

### Nested and Extended Compressions
* [nested_compression.md](nested_compression.md)
* [extended_compression.md](extended_compression.md)